<?php
session_start();
session_destroy();

//require_once("class/MacOperation.php");

//$macOperation = new MacOperation();

//$key = "FiLWRvbHc/7PFMG0Z10drQ==";
//$data = "Zaq12wsx";
//$row = $macOperation->encrypt($data,$key);
//echo $row;

//$row = $macOperation->decrypt($row,$key);

//echo $row;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="馬戲團" />
<title>馬戲團</title>
</head>

<script type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

//-->
</script>
<SCRIPT language="JavaScript">
function isMobileDevice() {
  let mobileDevices = ['Android', 'webOS', 'iPhone', 'iPad', 'iPod', 'BlackBerry', 'Windows Phone'];
  for (var i = 0; i < mobileDevices.length; i++) {
      if (navigator.userAgent.match(mobileDevices[i])) {
        //console.log("isMobileDevice: match " + mobileDevices[i]);
        return true;
      }
  }
  return false
}

if (isMobileDevice()) {
	alert("本系統不適用手機!!");
	top.location.href = "Logion.php";
}
function validateForm(objThisUi) 
{
	if(LoginForm.ac.value.length == 0)
	{
		alert("請輸入帳號!!");
		LoginForm.ac.focus();		
		return;                              
	}
	
	if(LoginForm.pw.value.length == 0)
	{
		alert("請輸入密碼!!");
		LoginForm.pw.focus();		
		return;                              
	}
	
	LoginForm.submit();
}
</SCRIPT>
<body background="images/backgrounds.jpg" onload="MM_preloadImages('images/Login1.jpg')">
<form method="post" action="LoginDeal.php" name="LoginForm" id="LoginForm" onSubmit="return validateForm(this);">
<input type="hidden" name="MACAddress" id="MACAddress"/>
<center>
<table border="0" cellspacing="1" cellspadding="1" width="100%">
<tr>
<td align="center" colspan="2" style="height:260px;">
&nbsp;
</td>
</tr>
<tr>
<td align="center" colspan="2">
<center>
<table border="0" cellspacing="1" cellspadding="1" width="100%">
<tr>
<td align="right" width="50%">
<span style="font-size: 24.0pt; font-family: 微軟正黑體;"><b>帳號：</b></span>
</td>
<td align="left" width="50%">
<input type="text" name="ac" id="ac" maxlength="20" style="font-size: 12.0pt;font-family: 微軟正黑體;"/>
</td>
</tr>
<tr>
<td align="right">
<span style="font-size: 24.0pt; font-family: 微軟正黑體;"><b>密碼：</b></span>
</td>
<td align="left">
<input type="password" name="pw" id="pw" maxlength="20" style="font-size: 12.0pt;font-family: 微軟正黑體;"/>
</td>
</tr>
<tr>
<td align="right">
<span style="font-size: 24.0pt; font-family: 微軟正黑體;"><b>登入驗證碼：</b></span>
</td>
<td align="left">
<input type="text" name="verifyCode" id="verifyCode" maxlength="20" style="font-size: 12.0pt;font-family: 微軟正黑體;"/>
</td>
</tr>
<tr>
<td align="center" colspan="2">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="javascript:validateForm(this);">
<img src="images/Login1.jpg" ID="ImgLogIn" onmouseout="MM_swapImgRestore()" onmouseover="MM_swapImage('ImgLogIn','','images/Login2.jpg',1)">
</a>
</td>
</tr>
</table>
</center>
</td>
</tr>
</table>
</center>
</form>
</body>
</html>
